GDAL Health Check

GET/api/geoconvert/convert/gdal-health

Check connectivity to the GDAL conversion service used by GeoConvert. Unauthenticated, and limited to 20 requests per 10 minutes per IP address (a 429 past that).

Headers

  • No authentication required.

Response 200

ok boolean

True when the GDAL service is reachable.

timeoutSeconds number

HTTP timeout in seconds for GDAL requests.

Response 503

ok boolean

False when the GDAL service is unreachable.

timeoutSeconds number

HTTP timeout in seconds for GDAL requests.

Example request
curl -X GET https://cadshift.com/api/geoconvert/convert/gdal-health
Response 200
{
  "ok": true,
  "timeoutSeconds": 300
}
Response 503
{
  "ok": false,
  "timeoutSeconds": 300
}
CADshift

Start typing to search the documentation

↑↓ to navigate Enter to select